import { F as FormContext, j as jsxRuntimeExports, I as InputWrapper, c as createKey, E as ErrorMessages } from "../../index-7966b412.js";
import { C, a } from "../../index-7966b412.js";
import { Form } from "react-bootstrap";
import { useState, useContext, useEffect } from "react";
function Check({ validMessage, invalidMessage, wrapperClassName, ...props }) {
  const [Messages, setMessages] = useState();
  const formContext = useContext(FormContext);
  useEffect(() => {
    const messages = formContext.getError("messages");
    if (messages === void 0) {
      setMessages(void 0);
      return;
    }
    if (props.name && messages[props.name]) {
      setMessages({ ...{}, ...messages[props.name] });
    } else {
      setMessages(void 0);
    }
  }, [formContext.getError("messages")]);
  return /* @__PURE__ */ jsxRuntimeExports.jsxs(
    InputWrapper,
    {
      label: props.label,
      required: props.required,
      name: props.name,
      feedbackMessage: false,
      className: wrapperClassName,
      children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx(
          Form.Check,
          {
            ...props,
            id: props.id || createKey(),
            isInvalid: props.isInvalid || (Messages ? true : false),
            className: (props.className || "") + (props.isInvalid || (Messages ? true : false) ? " border-danger" : "")
          }
        ),
        validMessage && /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "ms-2 text-success", children: /* @__PURE__ */ jsxRuntimeExports.jsx("ul", { children: validMessage.map(
          (mes) => /* @__PURE__ */ jsxRuntimeExports.jsx("li", { children: mes }, mes)
        ) }) }),
        /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "ms-2 mb-2 text-danger", children: [
          invalidMessage && /* @__PURE__ */ jsxRuntimeExports.jsx("ul", { className: "mb-0", children: invalidMessage.map(
            (mes) => /* @__PURE__ */ jsxRuntimeExports.jsx("li", { children: mes }, mes)
          ) }),
          Messages && /* @__PURE__ */ jsxRuntimeExports.jsx(ErrorMessages, { messages: Messages })
        ] })
      ]
    }
  );
}
export {
  Check,
  C as Control,
  ErrorMessages,
  a as FormWrapper,
  InputWrapper
};
